<script setup lang="ts">
    import { computed } from "vue";

    const props = defineProps(["modelValue", "label", "density"]);
    const emit = defineEmits(["update:modelValue"]);

    const localValue = computed({
        get: () => props.modelValue,
        set: (value) => {
            emit("update:modelValue", value);
        },
    });

    //// If format needs to be converted
    // function inputToPickerFormat(input: string) {
    //     console.log("out: ", input);
    //     const dateParts = input.split("/");

    //     const month = dateParts[0];
    //     const day = dateParts[1];
    //     const year = dateParts[2].split(",")[0];

    //     return `${String(year).padStart(4, "0")}-${String(month).padStart(2, "0")}-${String(day).padStart(2, "0")}`;
    // }
</script>

<template>
    <v-text-field type="date" :label="props.label" v-model="localValue" :density="props.density"> </v-text-field>
</template>
